INTERRUPT_DISTRIBUTE(9) | Kernel Developer's Manual | INTERRUPT_DISTRIBUTE(9)

# NAME

interrupt_distribute — assign an interrupt to a CPU

# SYNOPSIS

#include <sys/interrupt.h>
int
interrupt_distribute(void *ich, const kcpuset_t *newset, kcpuset_t *oldset);

# DESCRIPTION

The interrupt_distribute function exists to assign an interrupt to a CPU.
If a driver (or the other kernel component) wishes to assign an interrupt to a CPU, it should pass an interrupt handler such as the return value of pci_intr_establish() as ich argument, and it should pass the kcpuset to which it should be assigned as newset. To get the previous value, pass a non-`NULL` value to oldset.

August 17, 2015 | NetBSD 8.2